| Home | Libraries | People | FAQ | More

## Struct template is_device_iterator

boost::compute::is_device_iterator

## Synopsis

    // In header: <boost/compute/type_traits/is_device_iterator.hpp>

    template<typename Iterator>
    struct is_device_iterator : public false_type {
    };

## Description

Meta-function returning `true` if `Iterator` is a device-iterator.

By default, this function returns false. Device iterator types (such as buffer_iterator) should specialize this trait and return `true`.

For example:

    is_device_iterator<buffer_iterator<int>>::value == true
    is_device_iterator<std::vector<int>::iterator>::value == false